IF OBJECT_ID('[Generel].[DimTid]','U') IS NOT NULL
BEGIN
IF NOT EXISTS (SELECT 'T' FROM [Generel].[DimTid] WHERE [DimTidID] = -1 )
  INSERT INTO [Generel].[DimTid]([DimTidID]) VALUES (-1)
UPDATE [Generel].[DimTid] SET
   [Timestamp] = GETDATE()
	,[Dato] = '1754-01-01 00:00:00'
	,[DagIÅr] = 999
	,[DagIMåned] = 99
	,[DagOgMånedIÅr] = 9999
	,[MånedIÅr] = 99
	,[MånedIÅrNavn] = 'Ukendt'
	,[MånedNummer] = 999999
	,[MånedNavn] = 'Ukendt'
	,[KvartalIÅr] = 9
	,[KvartalIÅrNavn] = 'Ukendt'
	,[KvartalNummer] = 17540001
	,[KvartalNavn] = 'Ukendt'
	,[HalvårIÅr] = 9
	,[HalvårIÅrNavn] = 'Ukendt'
	,[HalvårNummer] = 9999999
	,[HalvårNavn] = 'Ukendt'
	,[UgeNummer] = 999999
	,[UgeNavn] = 'Ukendt'
	,[UgeIÅr] = 99
	,[UgeIÅrNavn] = 'Ukendt'
	,[UgeIMåned] = 99
	,[UgeIMånedNavn] = '99'
	,[UgedagNummer] = 9
	,[UgedagNavn] = 'Ukendt'
	,[År] = -1
	,[Skoleår] = '9999/9999'
	,[MånedFørsteDag] = -1
	,[MånedSidsteDag] = -1
	,[KvartalFørsteDag] = -1
	,[KvartalSidsteDag] = -1
	,[ÅrFørsteDag] = -1
	,[ÅrSidsteDag] = -1
	,[DatoNoegle] = 99999999
	,[DagsnummerIMaaned] = 99
	,[DagsnummerIUge] = 9
	,[DagsnummerIAar] = 999
	,[UgeDagNavnKort] = 'Ukendt'
	,[UgeNoegle] = 175401
	,[MaanednummerIAar] = 99
	,[MaanedNavnKort] = 'Ukendt'
	,[ErArbejdsdag] = -1
	,[AntalDageIMaaned] = -1
	,[AntalDageIAar] = -1
	,[SYS_KommuneId] = 999
   WHERE [DimTidID] = -1
END
GO
